Subject: bug#21777: 25.0.50; gud-gdb uses a pager, which is harmful inside emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2015 09:54:57 +0200

> From: Dima Kogan <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 29 Oct 2015 15:58:46 -0700
> 
> >> 2. patch gdb to look at INSIDE_EMACS not EMACS
> >
> > That should be done regardless, I will submit a patch to GDB.
> 
> Thanks for doing that!

The patch is already in the GDB repository.

> >> 3. handle this inside emacs, not relying on gdb behavior
> >> 
> >> I like 3. Emacs should be responsible for things emacs wants, not
> >> external applications, even if they're GNU applications.
> >
> > 3 is okay in principle, but you didn't show any specific suggestions.
> > What did you have in mind?
> 
> gud-gdb.el can send a "set height unlimited" command when it starts the
> gdb process. I'm happy to give you a patch, if you want.

Please do, but this should be done so as not to disable any "set
height" commands in the init files that GDB reads when it starts.
Otherwise users who do want to set that option for some reason will
crucify us.  If this becomes tricky, the only reasonable way out might
be a user option which defaults to off.

Thanks.